<?php

namespace App\Http\Controllers\Auth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class AdminLoginController extends Controller
{
    use AuthenticatesUsers;


    // protected $redirectTo = '/student/index';
    protected $logoutRedirect = '/administrator';


    protected function authenticated(Request $request, $user)
    {
        // Customize this logic for student login redirection
        return redirect(route('admin.dashboard'));
    }

    public function showLoginForm() {
        return view('auth.login');
    }
    

    public function login(Request $request) {
        $input = $request->all();

        $request->validate([
            'email' => 'required|email',
            'password' => 'required',
        ]);

        if (Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password])) {
            $this->authenticated($request, Auth::guard('admin')->user());
            return redirect(route('admin.dashboard'));
        } else {
            return redirect()
            ->route('admin.login')
            ->with('error','Incorrect email or password!.');
        }
    }

    public function logout(Request $request)
    {
        Auth::guard('admin')->logout();
        $request->session()->invalidate();
        return redirect(route('admin.login'));
    }
}
