<?php

namespace App\Http\Controllers;

use App\Models\Leaderboard4;
use Illuminate\Http\Request;
use App\Http\Resources\LeaderboardResource;

class Leaderboard4Controller extends Controller
{

    public function index() {
        return LeaderboardResource::collection(Leaderboard4::query()->orderBy('score', 'desc')->get());
    }

    public function dashboard() {
        $users = Leaderboard4::get()->all();
        return view('admin.leaderboard4', [
            'users' => $users
        ]);
    }

    public function store(Request $request) {
        $this->validate($request, [
            'name' => 'required',
            'score' => 'required|integer'
        ]);

        $user = Leaderboard4::create([
            'name' => $request->name,
            'score' => $request->score
        ]);

        return redirect(route('admin.leaderboard4.dashboard'));
    }

    public function editModal($id) {
        $user = Leaderboard4::findOrFail($id);
        
        $modal = '<div class="form-group">';
        $modal .= '<div class="col-md-12">';
        $modal .= '<label for="name" class="col-md-6">Name</label>';
        $modal .= '<input type="text" name="name" class="form-control col-md-12" value="'.$user->name.'">';
        $modal .= '</div>';
        $modal .= '</div>';
        $modal .= '<div class="form-group">';
        $modal .= '<div class="col-md-12">';
        $modal .= '<label for="name" class="col-md-6">Score</label>';
        $modal .= '<input type="number" name="score" class="form-control col-md-12" value="'.$user->score.'">';
        $modal .= '</div>';
        $modal .= '</div>';

        echo $modal;
    }

    public function update(Request $request, $id) {
        $user = Leaderboard4::findOrFail($id);

        $this->validate($request, [
            'name' => 'required',
            'score' => 'required|integer'
        ]);

        $user->name = $request->name;
        $user->score = $request->score;
        $user->save();

        return redirect(route('admin.leaderboard4.dashboard'));
    }
}
