<?php


use Livewire\Component;
use App\Models\Leaderboard1;
use App\Models\Leaderboard2;

class LeaderboardComponent extends Component
{
    public $currentVideo = 1; // Initial video
    public $gameData1;
    public $gameData2;

    public function render()
    {
        // Fetch player data for the two games related to the current video
        $this->gameData1 = $this->fetchGameData($this->currentVideo);
        $this->gameData2 = $this->fetchGameData($this->currentVideo + 1);

        return view('livewire.game-leaderboard-component');
    }

    public function switchToNextVideo()
    {
        // Logic to switch to the next video
        $this->currentVideo = ($this->currentVideo % 3) + 1;
    }

    private function fetchGameData($videoNumber)
    {
        $gameModel = 'App\Models\Leaderboard' . $videoNumber;
        return $gameModel::all();
    }
}