<?php

namespace App\Services;

use App\Models\Student;
use App\Models\Job;
use Illuminate\Support\Collection;

class MatchmakingService
{
    public static function findMatches()
    {
        // Get all active students and jobs
        $students = Student::where('status', 'active')->get();
        $jobs = Job::where('status', 'active')->get();

        // Match students to jobs based on skills
        $matches = collect();

        foreach ($jobs as $job) {
            foreach ($students as $student) {
                $matchingSkills = array_intersect($student->skills, $job->required_skills);
                $matchScore = count($matchingSkills);

                if ($matchScore > 0) {
                    $matches->push([
                        'student' => $student,
                        'job' => $job,
                        'match_score' => $matchScore,
                    ]);
                }
            }
        }

        return $matches->sortByDesc('match_score');
    }
}