@extends('layouts.administrator')
@section('title', 'Basketball Stars')
@section('content')
    <div class="container mt-10">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">Basketball Stars</div>
                    <div class="card-body">
                        <div class="action-buttons my-2">
                            <div class="text-right">
                                <button data-toggle="modal" data-target="#userModal" class="btn btn-secondary"><i class="fa fa-user mr-1 pr-1" aria-hidden="true"></i>Add Participant</button>
                            </div>
                        </div>
                        <div class="datatable">
                            <table id="dataTable" class="table table-bordered table-hover" cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Score</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($users as $user)
                                        <tr>
                                            <td>{{ $user->id }}</td>
                                            <td>{{ $user->name }}</td>
                                            <td>{{ $user->score }}</td>
                                            <td>
                                                <a name="view" href="#"  class="btn btn-success edit2__participant" id="{{$user->id}}">Edit</a>
                                                <div class="modal fade" tabindex="-1" role="dialog" id="edit2-{{$user->id}}" aria-labelledby="detailsModalCenterTitle" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title">Edit Score</h5>
                                                                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <form action="{{ route('user.leaderboard2.update', $user->id) }}" method="POST">
                                                            @csrf
                                                            @method('PUT')
                                                            <div class="modal-body" id="edit2-details-{{$user->id}}">
                                                            </div>
                                                            <div class="modal-footer">
                                                                <input type="submit" class="btn btn-primary" value="Update">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                            </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="userModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3>Add Participant</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="{{ route('user.leaderboard2.store') }}" method="POST">
                    @csrf
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="col-md-12">
                                <label for="name" class="col-md-6">Name</label>
                                <input type="text" name="name" class="form-control col-md-12">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <label for="score" class="col-md-6">Score</label>
                                <input type="number" name="score" class="form-control col-md-12">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Add</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection